import { HttpException, HttpStatus } from '@nestjs/common';
import { TipoUbicacion } from './tipo-ubicacion.entity';
import { Repository } from 'typeorm';
import { CreateTipoUbicacionDto } from './dto/create-tipo-ubicacion.dto';
import { UpdateTipoUbicacionDto } from './dto/update-tipo-ubicacion.dto';
export declare class TipoUbicacionService {
    private tipoUbicacionRepository;
    constructor(tipoUbicacionRepository: Repository<TipoUbicacion>);
    getDataAll(): Promise<{
        error: HttpException;
        status: HttpStatus;
        message: string;
        data?: undefined;
    } | {
        data: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            deleted_at: Date;
            inmueble: import("../inmueble/inmueble.entity").Inmueble[];
        }[];
        message: string;
        status: HttpStatus;
        error?: undefined;
    }>;
    getData(page?: number, limit?: number): Promise<{
        error: HttpException;
        status: HttpStatus;
        message: string;
        data?: undefined;
        meta?: undefined;
    } | {
        data: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            deleted_at: Date;
            inmueble: import("../inmueble/inmueble.entity").Inmueble[];
        }[];
        message: string;
        status: HttpStatus;
        meta: {
            total: number;
            page: number;
            limit: number;
            totalPages: number;
        };
        error?: undefined;
    }>;
    searchData(page: number, limit: number, params: any): Promise<{
        error: HttpException;
        status: HttpStatus;
        message: string;
        data?: undefined;
        meta?: undefined;
    } | {
        data: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            deleted_at: Date;
            inmueble: import("../inmueble/inmueble.entity").Inmueble[];
        }[];
        message: string;
        status: HttpStatus;
        meta: {
            total: number;
            page: number;
            limit: number;
            totalPages: number;
        };
        error?: undefined;
    }>;
    getDataById(id: number): Promise<HttpException | {
        created_at: string;
        updated_at: string;
        id: number;
        nombre: string;
        deleted_at: Date;
        inmueble: import("../inmueble/inmueble.entity").Inmueble[];
    }>;
    createData(tipoUbicacion: CreateTipoUbicacionDto): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            deleted_at: Date;
            inmueble: import("../inmueble/inmueble.entity").Inmueble[];
        };
        status: HttpStatus;
        message: string;
    }>;
    updateData(id: number, tipoUbicacion: UpdateTipoUbicacionDto): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            deleted_at: Date;
            inmueble: import("../inmueble/inmueble.entity").Inmueble[];
        };
        status: HttpStatus;
        message: string;
    }>;
    deleteData(id: number): Promise<HttpException | import("typeorm").UpdateResult>;
}
